Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/1057/?format=api
{ "ob_id": 1057, "uuid": "85231151b8da889e63436731c974ae4c", "title": "CRYOSTAT campaign (2002-2003): AWS data at Berkner Island, Firn-Air analyses from Law Dome, NGRIP station and Berkner Island", "abstract": "The CRYOspheric STudies of Atmospheric Trends in stratospherically and radiatively important gases (CRYOSTAT) will undertake the first combined measurements of virtually all significant Greenhouse gases (GHGs)(other than water vapour), ozone-depleting substances (ODSs), and related trace gases in contiguous firn and ice profiles, spanning as much as 200 years, from both the northern and southern polar ice caps. The dataset contains concentrations of isotopes (CH4, N20, CO, CO2, N20, SF6, CH3Br, halocarbons, and hydrocarbons) in firn, N2O concentrations in ice, ice core density, firn diffusivity, and weather measurements. CRYOSTAT is an evolution of the FIRETRACC/100 project, the data from which is also held at BADC.", "keywords": "CRYOSPHERE EARTHSCIENCE PALEOCLIMATE ATMOSPHERE", "publicationState": "published", "dataPublishedTime": "2007-01-10T21:29:43", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/1058/?format=api", "dataPath": "/badc/cryostat/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 409990, "numberOfFiles": 27, "fileFormat": "Data are NASA Ames formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/285/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/15/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/22341/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/22601/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25387/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25398/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25399/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25856/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25935/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25967/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25968/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25969/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25970/?format=api" ], "dataLineage": "Data submitted as is by CRYOspheric STudies of Atmospheric Trends in stratospherically and radiatively important gases (CRYOSTAT) Campaign participants to the BADC for archiving. All files are written as ASCII and consist of a single header followed by one or more tables of data.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/784/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/1059/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/1056/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3378/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3383/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3377/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3380/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3381/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3382/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3384/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/3379/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/1062/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }